List support chats
curl --request GET \
--url https://mcp.echozero.app/api/v1/ai/support/chats \
--header 'x-api-key: <api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://mcp.echozero.app/api/v1/ai/support/chats"
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'x-api-key': '<api-key>'
}
};
fetch('https://mcp.echozero.app/api/v1/ai/support/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'x-api-key': '<api-key>'
}
};
fetch('https://mcp.echozero.app/api/v1/ai/support/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/ai/support/chats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"items": [
{
"conversationId": "<string>",
"status": "<string>",
"messageCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasUnread": true,
"ticketNumber": 123,
"supportTopic": "<string>",
"lastMessage": "<string>"
}
],
"totalCount": 123,
"hasMore": true,
"averageFirstResponseSeconds": 123
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}AI
List support chats
Mirrors GraphQL listSupportChats (same filter shape as agent histories).
GET
/
api
/
v1
/
ai
/
support
/
chats
List support chats
curl --request GET \
--url https://mcp.echozero.app/api/v1/ai/support/chats \
--header 'x-api-key: <api-key>' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>'import requests
url = "https://mcp.echozero.app/api/v1/ai/support/chats"
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'x-api-key': '<api-key>'
}
};
fetch('https://mcp.echozero.app/api/v1/ai/support/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'GET',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
'x-api-key': '<api-key>'
}
};
fetch('https://mcp.echozero.app/api/v1/ai/support/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/ai/support/chats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"items": [
{
"conversationId": "<string>",
"status": "<string>",
"messageCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasUnread": true,
"ticketNumber": 123,
"supportTopic": "<string>",
"lastMessage": "<string>"
}
],
"totalCount": 123,
"hasMore": true,
"averageFirstResponseSeconds": 123
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Authorizations
Headers
Required for API-key authenticated requests. HMAC-SHA256(secretKey, timestamp + METHOD + path + body) as lowercase hex. Omit only for JWT/OAuth session tokens or public routes.
Required with x-signature. Epoch milliseconds; rejected if drift exceeds 5 minutes. Omit only for JWT/OAuth session tokens or public routes.
Query Parameters
Comma-separated AiConversationType values (e.g. AGENT,VIBE_TRADE)
Example:
"AGENT,VIBE_TRADE"
Maximum string length:
200Comma-separated ChatHistoryTimePeriod values (e.g. TODAY,THIS_WEEK)
Example:
"THIS_WEEK"
Required range:
1 <= x <= 100Required range:
x >= 0Available options:
ASC, DESC